UTOPPYA(1) | General Commands Manual | UTOPPYA(1)

# NAME

`utoppya` —
Topfield TF5000PVR DVB recorder file manipulation program

# SYNOPSIS

`utoppya` | [`-f` device] command ...

# DESCRIPTION

`utoppya` is the userland interface to the Topfield TF5000PVR range of DVB recorders (nicknamed `Toppy') which uses the utoppy(4) device driver.

The options are as follows:

`-f`
  Communicate with device instead of the default /dev/utoppy0.

Using the services of the utoppy(4) driver, `utoppya` can perform the following operations, specified by the command operand:

`df`
  Display disk size and free space
`ls` [directory]
  List the files in the specified directory. Default is the Toppy's root directory.
`mkdir` ⟨directory⟩
  Make the specified directory. You must supply the full pathname to directory.
`rm` ⟨pathname⟩
  Delete the file or directory specified by pathname.
`rename` ⟨source⟩ ⟨target⟩
  Rename the file or directory specified by the source operand to the destination file or directory specified by the target operand.
`get` [`-prt`] ⟨toppyfile⟩ [localfile]
  Copy toppyfile from the Toppy to localfile on the local file system. If localfile is omitted, the file will be copied into the current directory and will be named using the last component of the toppyfile operand. If localfile is ‘-’, then toppyfile will be copied to the standard output.

  The following options are available for the `get` command:

  `-p`
    Display a progress bar.
  `-r`
    This option is useful if you wish to resume a previously interrupted `get` command. Instead of restarting from the beginning of the file, the transfer will resume where it left off.
  `-t`
    Enable ‘`Turbo`’ mode. This instructs the Toppy to drop everything and concentrate on transferring the file as quickly as possible. You will be able to watch live TV, but all other functions, including changing channel via the remote control, will be inoperative.
`put` [`-prt`] ⟨localfile⟩ ⟨toppyfile⟩
  Copy localfile on the local filesystem to toppyfile on the Toppy. If toppyfile specifies a directory on the Toppy, the last component of the localfile operand will be appended to the toppyfile operand.

  The options described for the `get` command (above) also apply to the `put` command.

# FILES

/dev/utoppy0 The default Topfield TF5000PVR instance.

# SEE ALSO

usb(4), utoppy(4)

# HISTORY

The `utoppya` command first appeared in NetBSD 4.0 and was inspired by ‘`ftpd-topfield`’ written by Steve Bennett ⟨msteveb at ozemail.com.au⟩ and ‘`puppy`’ written by Peter Urbanec ⟨toppy at urbanec.net⟩.

# AUTHORS

Steve C. Woodford <scw@netbsd.org>

April 3, 2006 | NetBSD 9.4